﻿using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.SilverlightEdition;

namespace CSharp_Silverlight_HowDoISamples
{
    public partial class _Default : System.Web.UI.Page
    {
        //ShapeFileFeatureLayer citiesLayer;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                ShapeFileFeatureLayer astinLayer = new ShapeFileFeatureLayer(MapPath("~/app_data/Austinstreets.shp"));
                astinLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1);
                astinLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                ServerLayerOverlay layerOverlay = new ServerLayerOverlay("baseLayer");
                layerOverlay.Layers.Add(astinLayer);
                SilverlightMapConnector1.ServerLayerOverlays.Add(layerOverlay);
            }
        }
    }
}
